org.eclipse.net4j.util.security

## Class FileAuthenticatorFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.security.AuthenticatorFactory
    - - org.eclipse.net4j.util.security.FileAuthenticatorFactory

- All Implemented Interfaces:
    IFactory

      public class FileAuthenticatorFactory
      extends AuthenticatorFactory

  TODO Consider file attributes when creating initially empty file
  Since:
    3.3
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE`

    - ### Fields inherited from class org.eclipse.net4j.util.security.AuthenticatorFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileAuthenticatorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileUserManager` | `create(java.lang.String description)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FileAuthenticatorFactory

          public FileAuthenticatorFactory()

  - ### Method Detail

    - #### create

          public FileUserManager create(java.lang.String description)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html